Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2888733004: Change text and disable empty combobox for payment request shipping address (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 days, 19 hours ago by MAD
Modified:
3 days ago
Reviewers:
sebsg, anthonyvd
CC:
browser-components-watch_chromium.org, chromium-reviews, estade+watch_chromium.org, mathp+autofillwatch_chromium.org, rogerm+autofillwatch_chromium.org, rouslan+autofill_chromium.org, sebsg+autofillwatch_chromium.org, tfarina, vabr+watchlistautofill_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Change text and disable empty combobox for payment request shipping address BUG=721500 Review-Url: https://codereview.chromium.org/2888733004 Cr-Commit-Position: refs/heads/master@{#473186} Committed: https://chromium.googlesource.com/chromium/src/+/5022bd5a5c78faa35e4236abb37dd67b86b9cf44

Patch Set 1 #

Patch Set 2 : Needed to change initial update strategy #

Patch Set 3 : Merge branch 'master' into billing #

Total comments: 5

Patch Set 4 : Rebase #

Patch Set 5 : Some bots failed that DCHECK. #

Patch Set 6 : Fixed a weird goof #

Unified diffs Side-by-side diffs Delta from patch set Stats (+26 lines, -6 lines) Patch
M chrome/browser/ui/views/payments/credit_card_editor_view_controller.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/ui/views/payments/credit_card_editor_view_controller.cc View 1 2 3 4 5 1 chunk +14 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/payments/credit_card_editor_view_controller_browsertest.cc View 1 2 3 2 chunks +7 lines, -3 lines 0 comments Download
M chrome/browser/ui/views/payments/editor_view_controller.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/core/browser/address_combobox_model.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/autofill_strings.grdp View 1 chunk +2 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 41 (23 generated)
MAD
Plz... Thanks! BYE MAD
4 days, 19 hours ago (2017-05-17 19:40:17 UTC) #2
MAD
anthonyvd@chromium.org: Please review changes in chrome\browser\ui\views\payments
4 days, 19 hours ago (2017-05-17 19:41:57 UTC) #4
sebsg
lgtm
4 days, 18 hours ago (2017-05-17 20:55:02 UTC) #9
MAD
My initial fix was breaking some tests, so I came up with another way that ...
4 days, 14 hours ago (2017-05-18 00:48:03 UTC) #10
sebsg
Still lgtm for Autofill code. :)
4 days ago (2017-05-18 15:05:45 UTC) #15
anthonyvd
lgtm % couple small things https://codereview.chromium.org/2888733004/diff/40001/chrome/browser/ui/views/payments/credit_card_editor_view_controller.cc File chrome/browser/ui/views/payments/credit_card_editor_view_controller.cc (right): https://codereview.chromium.org/2888733004/diff/40001/chrome/browser/ui/views/payments/credit_card_editor_view_controller.cc#newcode342 chrome/browser/ui/views/payments/credit_card_editor_view_controller.cc:342: static_cast<views::Combobox*>(dialog()->GetViewByID(kBillingAddressType)); I don't think ...
4 days ago (2017-05-18 15:08:44 UTC) #16
sebsg
https://codereview.chromium.org/2888733004/diff/40001/components/autofill_strings.grdp File components/autofill_strings.grdp (left): https://codereview.chromium.org/2888733004/diff/40001/components/autofill_strings.grdp#oldcode358 components/autofill_strings.grdp:358: <message name="IDS_AUTOFILL_ADD_BILLING_ADDRESS" desc="The string to display in comboboxes when ...
4 days ago (2017-05-18 15:15:16 UTC) #17
MAD
Answered the comments, and changed a DCHECK to an if() because, for some reason, some ...
3 days, 23 hours ago (2017-05-18 16:09:14 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888733004/80001
3 days, 23 hours ago (2017-05-18 16:10:21 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/429570) mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, ...
3 days, 22 hours ago (2017-05-18 16:56:07 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888733004/100001
3 days, 20 hours ago (2017-05-18 19:11:48 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430897)
3 days, 17 hours ago (2017-05-18 22:20:04 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888733004/100001
3 days, 13 hours ago (2017-05-19 02:08:47 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/431379)
3 days, 11 hours ago (2017-05-19 03:50:42 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888733004/100001
3 days, 4 hours ago (2017-05-19 11:27:26 UTC) #34
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/431773)
3 days, 2 hours ago (2017-05-19 13:21:07 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888733004/100001
3 days, 1 hour ago (2017-05-19 13:47:58 UTC) #38
commit-bot: I haz the power
3 days ago (2017-05-19 14:45:24 UTC) #41
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/5022bd5a5c78faa35e4236abb37d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06